Note: Version v201811 will be sunset soon. All users of those versions must migrate to a newer one.

type DateTimeRangeTargetingError (v201905)

Lists all date time range errors caused by associating a line item with a targeting expression.


Namespace
https://www.google.com/apis/ads/publisher/v201905

Field

ApiError (inherited)

fieldPath

xsd:string

The OGNL field path to identify cause of error.

fieldPathElements

FieldPathElement[]

A parsed copy of the field path. For example, the field path "operations[1].operand" corresponds to this list: {FieldPathElement(field = "operations", index = 1), FieldPathElement(field = "operand", index = null)}.

trigger

xsd:string

The data that caused the error.

errorString

xsd:string

A simple string representation of the error and reason.

DateTimeRangeTargetingError

reason

DateTimeRangeTargetingError...

The error reason represented by an enum.


Enumerations
EMPTY_RANGES
No targeted ranges exists.
NOT_SPONSORSHIP_LINEITEM
Type of lineitem is not sponsorship.
PAST_RANGES_CHANGED
Past ranges are changed.
RANGES_OVERLAP
Targeted date time ranges overlap.
FIRST_DATE_TIME_DOES_NOT_MATCH_START_TIME
First date time does not match line item's start time.
LAST_DATE_TIME_DOES_NOT_MATCH_END_TIME
Last date time does not match line item's end time.
RANGES_OUT_OF_LINEITEM_ACTIVE_PERIOD
Targeted date time ranges fall out the active period of lineitem.
START_TIME_IS_NOT_START_OF_DAY
Start time of range (except the earliest range) is not at start of day. Start of day is 00:00:00.
END_TIME_IS_NOT_END_OF_DAY
End time of range (except the latest range) is not at end of day. End of day is 23:59:59.
START_DATE_TIME_IS_IN_PAST
Start date time of earliest targeted ranges is in past.
RANGE_END_TIME_BEFORE_START_TIME
The end time of range is before the start time. Could happen when start type is IMMEDIATE or ONE_HOUR_LATER.
END_DATE_TIME_IS_TOO_LATE
End date time of latest targeted ranges is too late.
LIMITED_RANGES_IN_UNLIMITED_LINEITEM
UNKNOWN
The value returned if the actual value is not exposed by the requested API version.